# syn-menu

## Summary

Menus provide a list of options for the user to choose from.

## Documentation

- [Component Documentation](https://synergy-design-system.github.io/?path=/docs/components-syn-menu--docs)
- [Figma Examples](https://www.figma.com/file/bZFqk9urD3NlghGUKrkKCR/Synergy-Digital-Design-System?type=design&node-id=41203-442314)
- [Figma Component](https://www.figma.com/design/bZFqk9urD3NlghGUKrkKCR/Synergy-Digital-Design-System?node-id=11516-365094)

## Class Information

- **Tag Name:** `syn-menu`
- **Import Example:** `import SynMenu from '@synergy-design-system/components/components/menu/menu.js';`

## Usage Information

- **Status:** stable
- **Since:** 1.12.0

## Available Slots

- `(default)`: The menu's content, including menu items, menu labels, and dividers.

## Available Events

### syn-select

type: `SynSelectEvent`

Emitted when a menu item is selected.
